> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers

> Retrieve a list of providers



## OpenAPI

````yaml get /provider
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /provider:
    get:
      tags:
        - Provider
      summary: List Providers
      description: Retrieve a list of providers
      parameters:
        - name: id
          in: query
          description: Provider ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Provider creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of provider
          schema:
            type: string
        - name: status
          in: query
          description: Status of provider
          schema:
            type: string
        - name: type
          in: query
          description: Typ of provider
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/provider'
components:
  schemas:
    provider:
      type: object
      properties:
        id:
          type: string
          description: Provider ID
          format: uuid
          default: random uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        created_at:
          type: string
          description: Provider creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        name:
          type: string
          description: Name of provider
          format: text
          nullable: true
        status:
          type: string
          description: Status of provider
          format: public.provider_status
          enum:
            - draft
            - in-review
            - rejected
            - active
            - inactive
        type:
          type: string
          description: Typ of provider
          format: public.provider_type
          enum:
            - twilio-regulatory-bundle
            - meta-account
            - google-account
            - nylas
            - 360dialog-whatsapp-business-account
            - meta-business
            - meta-waba
            - emailbrief
            - twilio
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````